QGIS Application - Bug report #12695
GDAL Rasterize does not rasterize vectors with field 0
2015-05-04 12:39 PM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee: Giovanni Manghi

Category: Processing/GDAL

Affected QGIS version:2.8.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 20801
Description

All records are rasterized, except those with value of the selected field = 0. This seems inappropriate

History

#1 - 2015-05-04 01:46 PM - Giovanni Manghi
- Status changed from Open to Feedback
- Assignee changed from Victor Olaya to Giovanni Manghi

Cannot confirm on qgis master. Please attach sample data.

#2 - 2015-05-04 10:14 PM - Paolo Cavallini

Done with the basins from exercise data.
Thanks.

#3 - 2015-05-05 01:25 AM - Giovanni Manghi

Paolo Cavallini wrote:

Done with the basins from exercise data.

Thanks.

if you mean the training manual exercise data then | cannot see any "basins" layer. Better attach the data is giving you problems.

#4 - 2015-05-05 09:55 AM - Paolo Cavallini

See: https://github.com/qgis/QGIS-Documentation/tree/master/source/docs/training_manual/exercise_data/processing/extents

#5 - 2015-05-07 01:24 AM - Giovanni Manghi

| tested on both QGIS master and 2.8.1 on both Linux and Windows and in all cases, with the provided vector, there are no issues and the polygon with

attribute = 0 are correctly rasterized to pixels with value = 0.
https://github.com/qgis/QGIS-Documentation/tree/master/source/docs/training_manual/exercise_data/processing/extents

If you use the tool and choose "byte" as type for output you must pay attention to the value used for nodata, as -9999 cannot fit in such type and so it is

automatically changed to 0.

#6 - 2015-05-07 01:47 AM - Paolo Cavallini

Got it, thanks. Perhaps a better default could be chosen for nulls?

#7 - 2015-05-07 02:05 AM - Giovanni Manghi

maybe is better to change the default type to int167?

#8 - 2015-05-07 09:16 AM - Paolo Cavallini
Fixed with commit:fb141e76feb45ee544136b78b356d55e6b19b587

Thanks.

#9 - 2015-05-07 09:16 AM - Paolo Cavallini
- Resolution set to fixed/implemented
- Status changed from Feedback to Closed
